function google()
{
   
    clicked = true;
}
/**
 Função executada quando ocorrer falha no logn
 */
function onFailure(error) {
    console.log(error);
}

/**
 Função executada quando o login é efetuado com sucesso
 */
function onSignIn(googleUser) {
    
    if (typeof clicked !== 'undefined') {
        // Recuperando o token do usuario. Essa informação você necessita passar para seu backend
        $(document).ajaxStart(function () {
            $("#aguarde").css("display", "block");
            $("#blanket").css("display", "block");
        });
        $(document).ajaxComplete(function () {
            $("#aguarde").css("display", "none");
            $("#blanket").css("display", "none");
        });

        $.ajax({
            data: {token: googleUser.getAuthResponse().id_token, 'tipo': 'google'},
            type: "POST",
            dataType: 'json',
            url: 'login_social',
            success: function (data) {
                login(data);
            }
        });
    }
}
function login(data) {

    switch (data['situacao']) {
        case 'form-erro':
            $(".form-error-login").html('<div class="alert alert-warning roboto" role="alert"> ' + data['erro_form'] + ' </div>');
            break;
        case 'sucesso':
            Materialize.toast('Login com sucesso', 2500, 'green');
            setTimeout("document.location = 'home'", 980);
            break;
        case 'login-erro':
            Materialize.toast('Login ou Senha incorretos', 2500, 'black');
            break;
        case 'sucesso-matricula':
            window.location = 'cursosmatriculados';
            break;
        case 'matriculado-l-erro':
            window.location = 'cursos';
            break;

        case 'sucesso-cadastro':
            Materialize.toast('Cadastro com sucesso', 2500, 'green');
            setTimeout("document.location = 'carreira'", 1500);
            break;
    }
}

 